Bug 1274953 - Broken debuginfos in nwchem
Broken debuginfos in nwchem
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: nwchem (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: marcindulak
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-23 23:35 EDT by Susi Lehtola
Modified: 2016-04-04 18:50 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-16 08:37:17 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Susi Lehtola 2015-10-23 23:35:37 EDT
In the spec file debuginfos are destroyed with

# build openmpi version
cp -rp src.orig src
%{_openmpi_load}
%dobuild
%{_openmpi_unload}
rm -rf src

Debuginfos should be kept for all binaries. The right way to do this is to use separate build directories for all the different flavors.

Please don't break the debuginfos.
Comment 1 marcindulak 2015-12-16 08:18:52 EST
The line 255 of http://pkgs.fedoraproject.org/cgit/nwchem.git/tree/nwchem.spec
says that the last build src dir is kept. I understand that debuginfo is extracted from the installed binaries at the end of %install and see nwchem-debuginfo at http://koji.fedoraproject.org/koji/buildinfo?buildID=700515
What else is missing?
Comment 2 Susi Lehtola 2016-04-04 18:50:16 EDT
Well, I guess that might work...

Note You need to log in before you can comment on or make changes to this bug.